1

I want to install following Alchemy plugin "Export Item List" to Tridion Sites 9.1

https://www.alchemywebstore.com/plugins/Export-Item-List

But currently Alchemy is not available on Tridion Sites 9.1.

When will Alchemy be available on Tridion Sites 9.1?

Also, is there any way to install the Alchemy plugin without Alchemy?

2

AFAIK - Alchemy Installer - It is currently not supported in tridion sites 9.0+.

Anwer to your question

Q: Is there any way to install the Alchemy plugin without Alchemy?

A: No, Alchemy plugins wont work without Alchemy framework.

There is a possible hacky way to install Alchemy Installer in Sites 9.0 and 9.1 by your own risk.

The current Alchemy Installer checks the Tridion version to 8.5, If you change the the below registry path key name "Version" value to "8.5" and then try to Install the Alchemy (Alchemy4Tridion-v1.0.1.1.msi), once completed then DO NOT FORGET TO REVERT version key name value back to as orginal value (please note down or backup the registery before change).

After that you should be able to install the 8.5 plugins in sites 9.0 or sites 9.1, most of the 8.5 coreservices plugins are backward compatible in Sites 9.0 and 9.1, I can confirm "Export Item List" plugin works in sites 9.1.

HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Tridion\Content Manager

I hope it helps.

| improve this answer | |
  • Clever Velmurugan :) – Josh Hebb May 20 at 12:17
  • I installed Alchemy and Export Item List by modifying registry.It's working.Thanks. – Hirokazu Shikata May 25 at 6:24
  • good to know If the answer helps you to resolve the issue, upvote, and accept the answer to close this question. – Velmurugan May 25 at 6:26
0

It looks by the link you shared that only SDL Web 8 and 8.5 are supported.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.